> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# track.subtitle.get

> Get the subtitle for a track.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["scale"]} />

At least one of the query parameters must be indicated: **commontrack\_id**, **track\_id**, or **track\_isrc**.

Make sure to:

* fulfill the [country restrictions](/content-restrictions) you receive for every copyrighted content;
* apply the [tracking method](/lyrics-views-tracking) of your choice.


## OpenAPI

````yaml get /ws/1.1/track.subtitle.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/track.subtitle.get:
    get:
      tags:
        - Track
      summary: track.subtitle.get
      description: Get the subtitle for a track.
      operationId: trackSubtitleGet
      parameters:
        - name: commontrack_id
          in: query
          schema:
            type: string
            example: '10074988'
          description: The Musixmatch commontrack ID.
        - name: track_id
          in: query
          schema:
            type: string
            example: '274345545'
          description: The Musixmatch track ID.
        - name: track_isrc
          in: query
          schema:
            type: string
            example: USAT21102141
          description: A valid ISRC identifier.
        - name: track_spotify_id
          in: query
          schema:
            type: string
            example: 5TfzrLmEHCDULQwnNbkSTZ
          description: A Spotify ID.
        - name: track_itunes_id
          in: query
          schema:
            type: string
            example: '1721054885'
          description: An Apple Music ID.
        - name: subtitle_format
          in: query
          schema:
            type: string
            example: lrc
          description: >-
            The format of the subtitle (lrc, dfxp, mxm). Default to 'lrc', use
            'mxm' for getting the subtitle as a json string.
        - name: f_subtitle_length
          in: query
          schema:
            type: string
            example: '188'
          description: The desired length of the subtitle (seconds).
        - name: f_subtitle_length_max_deviation
          in: query
          schema:
            type: string
            example: '2'
          description: The maximum deviation allowed from the f_subtitle_length (seconds).
      responses:
        '200':
          description: 200 OK / 401 Unauthorized / 404 Not Found
          headers:
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '110'
            Date:
              schema:
                type: string
                example: Tue, 04 Feb 2025 12:58:34 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            x-mxm-api-application-id:
              schema:
                type: string
                example: '1409624942950'
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.011839151382446'
            x-mxm-header-status:
              schema:
                type: string
                example: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              subtitle:
                                type: object
                                properties:
                                  lyrics_copyright:
                                    type: string
                                    example: >-
                                      Writer(s): David Hodges, Christina Judith
                                      Perri

                                      Copyright: Hipgnosis Sfh I Limited, Hifi
                                      Music Ip Issuer L.p.

                                      Lyrics powered by www.musixmatch.com
                                  pixel_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_0/su_37431314/rs_0/tr_3vUCAAoV_52DftIDaNbciR9xrAHn0HeI-jSrVzlMxET5BJKVZ0njx0DLFm0Rutsrj5K2WqHwl6GzWB-Mn6VHVTiO-xDvwguiKOVek6ALFB3-9MuJEtxyYpHcR6g_8S35NjKBazuImmKKx3sLZ7UZonZyvI6RCFLVhdLsqg3tZfDOdiFJ-az6FrIThBNt6dnxUVs788ecKM4gmDd6UkbNlna2I8pRks-6jP8AtBJerAPX-Nb9PGDdMRD31xqPtwRMXmTebZAEHXbUzLEHnkt5YcUorDAkvzoT1ZZAhbF-Aegm3OTBL2JyQDi8W1_AV6pCwlDQB2QrMTVQolo4AyooAvzbWb6eDLL-hw_-UmfTcVCGxKcJGid_tx6zkOx27u-ykqtIJc2BHlxb2jZLb82Th6tkaM8cF62ZOgWtC9j_vNBLbYeLXeH5OvxJN6MgyBK-OwVJucsMK6Tl/
                                  script_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_0/su_37431314/rs_0/tr_3vUCADfOKNf0zISthL5vj60wv7yZZuP8il7dWIF8k8ORWpJ8Ad9VWWpwLvnJQy_DKefT4bnAiX25VIo_aa8NMpg9zOkBXYF-hjpXXZa1LtFwFLuz_P-4jcUf7BaHw-TXY3D0UAiuxpPBhfDawIk0wrgT9EYik3EfsffOx3ooKL8KfR0PqnjLUIhYrMhsimSdj7vErdTWNLpcEJhPfrRG3ebDmz07yHfFX0y-2nLcVYwZ60c8mpDbm1Xoi1TR76O0zVxtJZhuSW30sPmXJdEI-cUBwxlfNxN0TQj83wBUh6h5cKYggmTTW_-NvU9F2w96ONNJVDILt1_zIYJkl-YfY2ntc4J5mlUMwDw2wmq5k_rYt-Ijmsx_0GkOyyHlDVgc5iVuOQE6Nv6C44JiEAbsjPsukvttSBoCBv4kksba4ZH8UYZ0X4e2Mp7bSYf6rXrcjf-QJtK1lfmz/
                                  subtitle_body:
                                    type: string
                                    example: >-
                                      [00:32.58] Heart beats fast

                                      [00:40.19] Colors and promises

                                      [00:44.50] How to be brave?

                                      [00:47.12] How can I love when I'm afraid
                                      to fall?

                                      [00:53.33] But watching you stand alone

                                      [01:00.22] All of my doubt suddenly goes
                                      away somehow

                                      [01:08.81] One step closer

                                      [01:16.20] I have died every day waiting
                                      for you

                                      [01:22.67] Darling, don't be afraid

                                      [01:25.66] I have loved you for a thousand
                                      years

                                      [01:31.35] I'll love you for a thousand
                                      more

                                      [01:43.42] Time stands still

                                      [01:47.37] Beauty in all she is

                                      [01:52.42] I will be brave

                                      [01:54.73] I will not let anything take
                                      away

                                      [02:03.24] What's standing in front of me

                                      [02:08.05] Every breath, every hour has
                                      come to this

                                      [02:17.01] One step closer

                                      [02:24.26] I have died every day waiting
                                      for you

                                      [02:29.39] Darling, don't be afraid

                                      [02:32.53] I have loved you for a thousand
                                      years

                                      [02:38.77] I'll love you for a thousand
                                      more

                                      [02:45.75] And all along I believed I
                                      would find you

                                      [02:51.29] Time has brought your heart to
                                      me

                                      [02:53.93] I have loved you for a thousand
                                      years

                                      [03:00.16] I'll love you for a thousand
                                      more

                                      [03:01.87] One step closer

                                      [03:02.55] One step closer

                                      [03:02.96] I have died every day waiting
                                      for you

                                      [03:03.41] Darling, don't be afraid

                                      [03:04.07] I have loved you for a thousand
                                      years

                                      [03:04.53] I'll love you for a thousand
                                      more

                                      [03:05.00] And all along I believed I
                                      would find you

                                      [03:06.07] Time has brought your heart to
                                      me

                                      [03:06.55] I have loved you for a thousand
                                      years

                                      [03:06.82] I'll love you for a thousand
                                      more

                                      [03:07.11] 
                                  subtitle_id:
                                    type: number
                                    example: 37431314
                                  subtitle_language:
                                    type: string
                                    example: en
                                  subtitle_language_description:
                                    type: string
                                    example: English
                                  subtitle_length:
                                    type: number
                                    example: 187
                                  updated_time:
                                    type: string
                                    example: '2023-02-28T06:59:24Z'
                          - type: array
                            items: {}
                            example: []
                          - type: object
                            properties: {}
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.26314902305603
                          instrumental:
                            type: number
                            example: 0
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        subtitle:
                          lyrics_copyright: >-
                            Writer(s): David Hodges, Christina Judith Perri

                            Copyright: Hipgnosis Sfh I Limited, Hifi Music Ip
                            Issuer L.p.

                            Lyrics powered by www.musixmatch.com
                          pixel_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_0/su_37431314/rs_0/tr_3vUCAAoV_52DftIDaNbciR9xrAHn0HeI-jSrVzlMxET5BJKVZ0njx0DLFm0Rutsrj5K2WqHwl6GzWB-Mn6VHVTiO-xDvwguiKOVek6ALFB3-9MuJEtxyYpHcR6g_8S35NjKBazuImmKKx3sLZ7UZonZyvI6RCFLVhdLsqg3tZfDOdiFJ-az6FrIThBNt6dnxUVs788ecKM4gmDd6UkbNlna2I8pRks-6jP8AtBJerAPX-Nb9PGDdMRD31xqPtwRMXmTebZAEHXbUzLEHnkt5YcUorDAkvzoT1ZZAhbF-Aegm3OTBL2JyQDi8W1_AV6pCwlDQB2QrMTVQolo4AyooAvzbWb6eDLL-hw_-UmfTcVCGxKcJGid_tx6zkOx27u-ykqtIJc2BHlxb2jZLb82Th6tkaM8cF62ZOgWtC9j_vNBLbYeLXeH5OvxJN6MgyBK-OwVJucsMK6Tl/
                          script_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_0/su_37431314/rs_0/tr_3vUCADfOKNf0zISthL5vj60wv7yZZuP8il7dWIF8k8ORWpJ8Ad9VWWpwLvnJQy_DKefT4bnAiX25VIo_aa8NMpg9zOkBXYF-hjpXXZa1LtFwFLuz_P-4jcUf7BaHw-TXY3D0UAiuxpPBhfDawIk0wrgT9EYik3EfsffOx3ooKL8KfR0PqnjLUIhYrMhsimSdj7vErdTWNLpcEJhPfrRG3ebDmz07yHfFX0y-2nLcVYwZ60c8mpDbm1Xoi1TR76O0zVxtJZhuSW30sPmXJdEI-cUBwxlfNxN0TQj83wBUh6h5cKYggmTTW_-NvU9F2w96ONNJVDILt1_zIYJkl-YfY2ntc4J5mlUMwDw2wmq5k_rYt-Ijmsx_0GkOyyHlDVgc5iVuOQE6Nv6C44JiEAbsjPsukvttSBoCBv4kksba4ZH8UYZ0X4e2Mp7bSYf6rXrcjf-QJtK1lfmz/
                          subtitle_body: >-
                            [00:32.58] Heart beats fast

                            [00:40.19] Colors and promises

                            [00:44.50] How to be brave?

                            [00:47.12] How can I love when I'm afraid to fall?

                            [00:53.33] But watching you stand alone

                            [01:00.22] All of my doubt suddenly goes away
                            somehow

                            [01:08.81] One step closer

                            [01:16.20] I have died every day waiting for you

                            [01:22.67] Darling, don't be afraid

                            [01:25.66] I have loved you for a thousand years

                            [01:31.35] I'll love you for a thousand more

                            [01:43.42] Time stands still

                            [01:47.37] Beauty in all she is

                            [01:52.42] I will be brave

                            [01:54.73] I will not let anything take away

                            [02:03.24] What's standing in front of me

                            [02:08.05] Every breath, every hour has come to this

                            [02:17.01] One step closer

                            [02:24.26] I have died every day waiting for you

                            [02:29.39] Darling, don't be afraid

                            [02:32.53] I have loved you for a thousand years

                            [02:38.77] I'll love you for a thousand more

                            [02:45.75] And all along I believed I would find you

                            [02:51.29] Time has brought your heart to me

                            [02:53.93] I have loved you for a thousand years

                            [03:00.16] I'll love you for a thousand more

                            [03:01.87] One step closer

                            [03:02.55] One step closer

                            [03:02.96] I have died every day waiting for you

                            [03:03.41] Darling, don't be afraid

                            [03:04.07] I have loved you for a thousand years

                            [03:04.53] I'll love you for a thousand more

                            [03:05.00] And all along I believed I would find you

                            [03:06.07] Time has brought your heart to me

                            [03:06.55] I have loved you for a thousand years

                            [03:06.82] I'll love you for a thousand more

                            [03:07.11] 
                          subtitle_id: 37431314
                          subtitle_language: en
                          subtitle_language_description: English
                          subtitle_length: 187
                          updated_time: '2023-02-28T06:59:24Z'
                      header:
                        execute_time: 0.26314902305603
                        instrumental: 0
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.041175842285156
                        status_code: 401
                404 Not Found:
                  value:
                    message:
                      body: {}
                      header:
                        execute_time: 0.011839151382446
                        instrumental: 0
                        status_code: 404
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````